------------------------------------------------------------------------------
--  Test: Session_Handling_002
--  Verification: This test verifies seccessful sql login authentication
--
--  Test Details:
--      1.  Connect to the server
--
--  Test Dependenices:
--      1.  Session_Handling_Setup must have been executed
--      2.  This test must be executed by LGN_Session_Handling
------------------------------------------------------------------------------

DECLARE @error_message 	nvarchar(1024)

BEGIN TRY
	SET NOCOUNT ON

	------------------------------------------------------------------------------
	-- If the version is not SP2 then do not run the script
	------------------------------------------------------------------------------
	IF SERVERPROPERTY( N'ProductVersion' ) <> N'10.0.4000.0'
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_002] This test can only be executed on SQL Server 2008 SP2';
		PRINT @error_message
		RETURN;
	END

	------------------------------------------------------------------------------
	-- Verify test dependencies
	------------------------------------------------------------------------------
	IF ( SUSER_SNAME() <> N'LGN_Session_Handling' )
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_002] This test must execute as the LGN_Session_Handling sql login';
		PRINT @error_message
		RETURN;
	END

	PRINT 'TESTRESULT: PASS [Session_Handling_002]';
END TRY
BEGIN CATCH

	SET @error_message = N'TESTRESULT: FAIL [Session_Handling_002] ' + error_message();
	PRINT @error_message

END CATCH
go

