------------------------------------------------------------------------------
--  Test: Session_Handling_Setup
--  Setup: This script creates a sql login to be used in the Session Handling
--      test scripts
--
--  Test Dependenices:
--      1.  This test must be executed as a sysadmin
------------------------------------------------------------------------------

DECLARE @error_message 	nvarchar(1024)

BEGIN TRY
	SET NOCOUNT ON

	------------------------------------------------------------------------------
	-- If the version is not SP2 then do not run the script
	------------------------------------------------------------------------------
	IF SERVERPROPERTY( N'ProductVersion' ) <> N'10.0.4000.0'
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_Setup] This test can only be executed on SQL Server 2008 SP2';
		PRINT @error_message
		RETURN;
	END

	------------------------------------------------------------------------------
	-- Verify test dependencies
	------------------------------------------------------------------------------
	IF ( IS_SRVROLEMEMBER( N'sysadmin' ) = 0 )
	BEGIN
		SET @error_message = N'TESTRESULT: FAIL [Session_Handling_Setup] This test must be executed by a sysadmin';
		PRINT @error_message
		RETURN;
	END

	------------------------------------------------------------------------------
	-- Create account and test objects
	------------------------------------------------------------------------------
	CREATE LOGIN [LGN_Session_Handling] WITH PASSWORD = N'AbCV######98765';

	PRINT 'TESTRESULT: PASS [Session_Handling_Setup]';
END TRY
BEGIN CATCH

	SET @error_message = N'TESTRESULT: FAIL [Session_Handling_Setup] ' + error_message();
	PRINT @error_message

END CATCH
go
